## python-truststore 0.8.0

=== docs/requirements.txt ===
sphinx>=7.2.2
furo
myst-parser

=== debian/changelog ===
python-truststore (0.8.0-2) unstable; urgency=medium

  * Upload to unstable.
  * Drop patch urllib3-cert_none, we dropped the related patch in Debian's
    urllib3.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 21 Oct 2023 23:02:04 +0200

python-truststore (0.8.0-1) experimental; urgency=low

  * Initial release.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 19 Oct 2023 13:01:40 +0200

=== debian/control ===
Source: python-truststore
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Stefano Rivera <stefanor@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 flit,
 pybuild-plugin-pyproject,
 python3-aiohttp <!nocheck>,
 python3-all,
 python3-flaky <!nocheck>,
 python3-httpx <!nocheck>,
 python3-openssl <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-pytest-httpserver <!nocheck>,
 python3-requests <!nocheck>,
 python3-trustme <!nocheck>,
 python3-urllib3 <!nocheck>
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://truststore.readthedocs.io/
Vcs-Git: https://salsa.debian.org/python-team/packages/python-truststore.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-truststore

Package: python3-truststore
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python Library to verify certificates using native system trust stores
 Truststore is a library which exposes native system certificate stores (ie
 "trust stores") through an `ssl.SSLContext`-like API. This means that Python
 applications no longer need to rely on certifi as a root certificate store.
 .
 Long-term the hope is to make truststore the default way to verify HTTPS
 certificates in pip and to add this functionality into Python itself.

=== debian/tests/control ===
Tests: unittests
# mkcert installs into the system CA certificates
Restrictions: needs-internet, needs-root, breaks-testbed
Depends:
 ca-certificates,
 mkcert,
 python3-aiohttp,
 python3-all,
 python3-flaky,
 python3-httpx,
 python3-openssl,
 python3-pytest,
 python3-pytest-asyncio,
 python3-pytest-httpserver,
 python3-requests,
 python3-trustme,
 python3-truststore,
 python3-urllib3

## python-truststore 0.9.1

=== debian/changelog ===
python-truststore (0.9.1-1) unstable; urgency=medium

  * New upstream point release.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 11 May 2024 13:46:18 -0400

python-truststore (0.9.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch mark-internet-tests.patch, superseded upstream.
  * Bump copyright years.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 02 May 2024 14:17:35 -0400

## python-truststore 0.10.0

=== debian/changelog ===
python-truststore (0.10.0-3) unstable; urgency=medium

  * Patch: Ignore DeprecationWarning for enable_cleanup_closed from new
    python-aiohttp.
  * Bump copyright years.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 07 Jan 2025 20:46:12 -0400

python-truststore (0.10.0-2) unstable; urgency=medium

  * Patch: Mark test_wrong_host_succeeds_with_hostname_verification_disabled
    test with the internet tag.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 26 Oct 2024 11:58:48 -0700

python-truststore (0.10.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch, superseded upstream.
  * Mark autopkgtest with allow-stderr, for deprecation warnings.
  * Patch: Avoid ResourceWarnings from unclosed TCP connections in tests.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 26 Oct 2024 11:16:57 -0700

python-truststore (0.9.2-1) unstable; urgency=medium

  * New upstream point release.
  * Bump Standards-Version to 4.7.0, no changes needed.
  * Patch: test-mark-internet mark another test that needs Internet.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 23 Aug 2024 12:05:24 +0200

## python-truststore 0.10.1

=== debian/changelog ===
python-truststore (0.10.1-1) unstable; urgency=medium

  * New upstream point release.
  * Drop patches, superseded upstream.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 11 Feb 2025 11:43:07 -0400

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  python3-requests <!nocheck>,
  python3-trustme <!nocheck>,
  python3-urllib3 <!nocheck>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://truststore.readthedocs.io/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-truststore.git

## python-truststore 0.10.3

=== debian/changelog ===
python-truststore (0.10.3-1) unstable; urgency=medium

  * New upstream point release.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 10 Aug 2025 11:08:22 +0200

## python-truststore 0.10.4

=== debian/changelog ===
python-truststore (0.10.4-1) unstable; urgency=medium

  * New upstream point release.
  * Bump Standards-Version to 4.7.2, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 16 Aug 2025 19:00:19 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  python3-requests <!nocheck>,
  python3-trustme <!nocheck>,
  python3-urllib3 <!nocheck>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://truststore.readthedocs.io/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-truststore.git

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=truststore
export PYBUILD_TEST_ARGS=-k 'not internet and not test_trustme_cert_loaded_via_capath'

%:
	dh $@ --with python3 --buildsystem pybuild

=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Tests: unittests
 # mkcert installs into the system CA certificates
-Restrictions: needs-internet, needs-root, breaks-testbed
+Restrictions: allow-stderr, breaks-testbed, needs-internet, needs-root
 Depends:
  ca-certificates,
  mkcert,

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/truststore/truststore-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
